@echo off

REM Licensed Materials - Property of IBM
REM IBM Cognos Products: PPS
REM (C) Copyright IBM Corp. 2009, 2016
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

echo.
echo.
echo ********** PPStoc11InteropDeploy.bat ************************** 
echo.  
echo -- Isolates all the 10.2.2 PowerPlay Server content
echo -- needed for export to a c11 interop installation.
echo.
echo -- Requires:        10.2.2 PPS AppTier 
echo --   AND            10.2.2 PPS Gateway
echo. 
echo -- (Can be executed in series for distributed installs)
echo.
echo -- Creates a subdirectory 'InteropDeployment' beneath 
echo -- the current directory (should be \bin). 
echo.
echo -- Upon SCRIPT COMPLETE - STATUS OK :
echo -- Take/pack the contents of .\InteropDeployment,
echo -- and copy/unpack directly to c11 *installdir*.
echo -- (where exist: rendition.dat and cmplst.txt!)
echo.
echo -- If any files already exist in Cognos Analytics, 
echo -- OVERWRITE them.
echo.
echo -- .\InteropDeployment can then be deleted.
echo.
echo **************************************************************
echo.
echo.
echo Looking for webcontent in:  ..\webcontent   ...
if exist "..\webcontent" goto gotContent
echo ERROR: Could not locate any existing ..\webcontent
echo Export Failed! Aborting.
goto finish


:gotContent
echo ... located webcontent
echo      ... creating InteropDeployment target directory
echo.
mkdir .\InteropDeployment\webapps\p2pd\WEB-INF\fragments\applications
if exist ".\InteropDeployment" goto gotSubDir
echo ERROR: Could not create 'InteropDeployment' subdirectory
echo Export Failed! Aborting.
goto finish

:gotSubDir
echo ... found InteropDeployment target directory
echo     ... copying content

echo.
echo ... acquiring cogadmin fragments
robocopy ..\webapps\p2pd\WEB-INF\fragments\applications\cogadmin\fragments .\InteropDeployment\webapps\p2pd\WEB-INF\fragments\applications\cogadmin\fragments ppesAdmin* > PPStoc11InteropDeploy.out
robocopy ..\webapps\p2pd\WEB-INF\fragments\applications\cogadmin\pages .\InteropDeployment\webapps\p2pd\WEB-INF\fragments\applications\cogadmin\pages ppesAdmin* > PPStoc11InteropDeploy.out

echo ... acquiring skins
robocopy ..\webcontent\skins\business\ppwb .\InteropDeployment\webcontent\bi\skins\business\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\skins\classic\ppwb .\InteropDeployment\webcontent\bi\skins\classic\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\skins\contemporary\ppwb .\InteropDeployment\webcontent\bi\skins\contemporary\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\skins\corporate\ppwb .\InteropDeployment\webcontent\bi\skins\corporate\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\skins\modern\ppwb .\InteropDeployment\webcontent\bi\skins\modern\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\skins\presentation\ppwb .\InteropDeployment\webcontent\bi\skins\presentation\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\skins\series7\ppwb .\InteropDeployment\webcontent\bi\skins\series7\ppwb /E > PPStoc11InteropDeploy.out
robocopy .\InteropDeployment\webcontent\bi\skins .\InteropDeployment\webcontent\skins /E > PPStoc11InteropDeploy.out

echo ... acquiring ppwb webcontent
robocopy ..\webcontent\ppwb .\InteropDeployment\webcontent\bi\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\ppwb .\InteropDeployment\webcontent\ppwb /E > PPStoc11InteropDeploy.out
robocopy ..\webcontent\ps\powerplaystudio .\InteropDeployment\webcontent\ps\powerplaystudio /E > PPStoc11InteropDeploy.out
robocopy ..\msgsdk .\InteropDeployment\msgsdk ppesAdminStrings* > PPStoc11InteropDeploy.out
robocopy ..\webcontent\fragments\ppesAdmin .\InteropDeployment\webcontent\fragments\ppesAdmin /E > PPStoc11InteropDeploy.out

echo ... acquiring eclipse plugins
robocopy ..\eclipse\plugins .\InteropDeployment\eclipse\plugins /E > PPStoc11InteropDeploy.out

robocopy ..\vers .\InteropDeployment\vers pps-* > PPStoc11InteropDeploy.out
robocopy ..\vers .\InteropDeployment\vers ppsadmin-* > PPStoc11InteropDeploy.out

del PPStoc11InteropDeploy.out


echo.
echo SCRIPT COMPLETE - STATUS OK
echo.
:finish
